LOADING STUFF...

Apache Tomcat被曝存安全隐患,Coremail提醒您尽快加固

–>

近日,CNVD(国家信息安全漏洞共享平台)公告Apache Tomcat被曝存在文件包含漏洞。由于Tomcat AJP协议存在实现缺陷导致相关参数可控,攻击者利用该漏洞可通过构造特定参数,读取服务器webapp下的任意文件。若服务器端同时存在文件上传功能,攻击者可进一步实现远程代码的执行,威胁企业信息安全。

Tomcat 作为目前较为流行的 Web 应用服务器,应用范围较广,威胁影响较大。据CNVD平台对Apache Tomcat AJP协议在我国境内的分布情况统计显示,我国境内共有43197台服务器受此漏洞影响,影响比例约为7.8%。

目前,Coremail论客已对旗下全平台进紧急排查,并发现对于运营平台用户,由于防火墙限制了9909端口仅能在内网访问,外部攻击者无法利用该漏洞对运营平台客户进行攻击;对于自建客户如果防火墙限制了9909端口仅能内网访问,则同样外网攻击者无法利用此漏洞进行攻击。

Coremail论客建议广大客户应及时通过关闭AJP协议方案进行漏洞修补,针对Coremail邮件系统版本低于XT_U2版本(2009/1发布),建议将AJPConnector 调整为只对 localhost 开放,或者停掉 httpd 服务,再注释掉 AJPConnector。剩余版本的客户(CM3、CM4、CM5、XT2、XT3、XT5),可直接注释掉 AJPConnector进行解决。目前Coremail的规划版本XT6以及XT5.0.12均已升级Tomcat9.0.31,后续可通过邮件系统的升级来解决该问题。

同时,Coremail论客安全专家提醒:客户应在确保安全的前提下及时进行漏洞修补以消除安全隐患,提高防范能力。若在使用过程中有任何问题,可及时联系Coremail相关客服人员进行咨询。

本文来源 互联网收集,文章内容系作者个人观点,不代表 本站 对观点赞同或支持。如需转载,请注明文章来源,如您发现有涉嫌抄袭侵权的内容,请联系本站核实处理。

© 版权声明

相关文章